Overview
Hanko 3.0.0 removes previously deprecated API endpoints. This guide outlines the breaking changes and migration path for upgrading from version 2.x.x to 3.0.0.Breaking Changes
Deprecated API Endpoints
The following Public API endpoints have been deprecated and will be removed in version 3.0.0: Authentication Endpoints: WebAuthn Endpoints:POST /webauthn/login/initializePOST /webauthn/login/finalizePOST /webauthn/registration/initializePOST /webauthn/registration/finalizeGET /webauthn/credentialsDELETE /webauthn/credentials/{id}PATCH /webauthn/credentials/{id}
POST /userDELETE /userPOST /usersGET /users/{id}(use GET/meinstead)
Deprecated SDK functions
getUser()(usegetCurrentUser()instead)
Migration Path
Exception: If your integration only uses
hanko-elements version 1.0.0 or later and does not use the Hanko API directly, you only need to check that you are using getCurrentUser() instead of getUser().Action Required
To ensure a smooth transition:- Review your current implementation and check for any usage of deprecated API endpoints, SDK functions, or
hanko-elementsversions older than 1.0.0. - When using any of the deprecated endpoints, migrate to the Flow API before the v3.0.0 release date. Refer to the Flow API documentation for implementation details.
- When using
hanko-elementsversions older than 1.0.0, migrate to the latest version before the v3.0.0 release date. - Replace all usage of
getUser()withgetCurrentUser(). - Test your integration thoroughly in a development environment.
Need assistance with your migration? Contact our support team or visit our community Discord for help.